Skip to main content
Jump to: navigation, search

Difference between revisions of "Template:Riena/Setting up the IDE"

(Next Step)
Line 14: Line 14:
 
== Next Step ==
 
== Next Step ==
 
Next you need to install the Riena runtime. This is done by setting Riena as the ''Target Platform''. The Target Platform is the foundation for your Riena based application.
 
Next you need to install the Riena runtime. This is done by setting Riena as the ''Target Platform''. The Target Platform is the foundation for your Riena based application.
*[[Riena/Target Platform|Install Target Platform based on RCP]]
+
*[[Riena/Target Platform|Installing the Target Platform based on Eclipse 4.x (standard)]]
*[[Riena/Target Platform RAP|Install Target Platform based on RAP]]
+
*[[Riena/Target Platform 3x|Installing the Target Platform based on Eclipse 3.x]]
*[[Riena/Target Platform 3x|Install Target Platform based on Eclipse 3.x (RCP)]]
+
*[[Riena/Target Platform RAP|Installing the Target Platform based on RAP (web)]]
  
 
Note: The Target Platform version is not related to the IDE version you are using.
 
Note: The Target Platform version is not related to the IDE version you are using.

Revision as of 07:11, 28 November 2014

Setting up the IDE

To get started with Riena, it's recommended to set up Eclipse with the Riena Toolbox installed.

Eclipse

Download Eclipse for RCP and RAP Developers and start with a blank workspace.

Riena Toolbox

Start Eclipse and install the Riena Toolbox:

  • Open the Eclipse Install dialog from the main menu (Help > Install New Software...).
  • Select all components from http://download.eclipse.org/rt/riena/toolbox/20120424
    • Uncheck "Contact all update sites during install to find required software"
  • Complete the installation (Eclipse will ask you to restart)

Next Step

Next you need to install the Riena runtime. This is done by setting Riena as the Target Platform. The Target Platform is the foundation for your Riena based application.

Note: The Target Platform version is not related to the IDE version you are using.

Back to the top